Bug 46397 - Xamarin.Forms build failed with "Error executing task ResolveAssemblies: Out of memory"
Summary: Xamarin.Forms build failed with "Error executing task ResolveAssemblies: Out ...
Status: VERIFIED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: MSBuild (show other bugs)
Version: unspecified
Hardware: Macintosh Mac OS
: High major
Target Milestone: 7.1 (C9)
Assignee: dean.ellis
URL:
Depends on:
Blocks:
 
Reported: 2016-11-03 17:13 UTC by Manish Sinha
Modified: 2016-11-04 15:41 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: Yes
Last known good build: 7.0.99.148

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Manish Sinha 2016-11-03 17:13:42 UTC
Steps to reproduce

1. Create a XS Xamarin.Forms app
2. Goto terminal and build using xbuild

xbuild /v:d

Expected: Build passes
Actual: Build fails with "Error executing task ResolveAssemblies: Out of memory"

using XS https://gist.github.com/manish-sinha/2e7ddbbb9a5d44f58c6bbe70c308d442
Comment 3 dean.ellis 2016-11-04 10:42:19 UTC
Fixed in monodroid/master/abff2f6e
Comment 4 Manish Sinha 2016-11-04 15:41:02 UTC
Verified on both XA master 7.0.99.160 and XA cycle9 7.0.99.160 (23ad1d8)